Foxit PDF SDK

Public Member Functions | List of all members
foxit.pdf.actions.ResetFormAction Class Reference
Inheritance diagram for foxit.pdf.actions.ResetFormAction:

## Public Member Functions
| ResetFormAction (Action action)
| Constructor, with parent class object. More...
WStringArray | GetFieldNames ()
| Get all field names from the array of current reset form action. More...
int | GetFlags ()
| Get the flag value used for resetting. More...
void | SetFieldNames (WStringArray field_names)
| Set field name array. More...
void | SetFlags (int flags)
| Set the flag value used for resetting. More...
Public Member Functions inherited from foxit.pdf.actions.Action
| Action (PDFDoc document, PDFDictionary action_dict)
| Constructor, with parameters. More...
| Action (Action action)
| Constructor, with another action object. More...
PDFDictionary | GetDict ()
| Get PDF dictionary of current object. More...
PDFDoc | GetDocument ()
| Get the PDF document, to which current action belongs. More...
Action | GetSubAction (int index)
| Get a sub-action by index. More...
int | GetSubActionCount ()
| Get the count of sub-actions. More...
Action.Type | GetType ()
| Get action type. More...
void | InsertSubAction (int index, Action sub_action)
| Insert a new sub-action to the location specified by index. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
void | RemoveAllSubActions ()
| Remove all the sub-actions. More...
void | RemoveSubAction (int index)
| Remove a sub-action, specified by index. More...
void | SetSubAction (int index, Action sub_action)
| Set a sub-action by index. More...

## Additional Inherited Members
Public Types inherited from foxit.pdf.actions.Action
enum | NewWindowFlag { NewWindowFlag.e_NewWindowFlagFalse = 0, NewWindowFlag.e_NewWindowFlagTrue = 1, NewWindowFlag.e_NewWindowFlagNone = 2 }
| Enumeration for new window flag. More...
enum | Type { Type.e_TypeUnknown = 0, Type.e_TypeGoto = 1, Type.e_TypeGoToR = 2, Type.e_TypeGoToE = 3, Type.e_TypeLaunch = 4, Type.e_TypeThread = 5, Type.e_TypeURI = 6, Type.e_TypeSound = 7, Type.e_TypeMovie = 8, Type.e_TypeHide = 9, Type.e_TypeNamed = 10, Type.e_TypeSubmitForm = 11, Type.e_TypeResetForm = 12, Type.e_TypeImportData = 13, Type.e_TypeJavaScript = 14, Type.e_TypeSetOCGState = 15, Type.e_TypeRendition = 16, Type.e_TypeTrans = 17, Type.e_TypeGoTo3DView = 18 }
| Enumeration for action type. More...
Static Public Member Functions inherited from foxit.pdf.actions.Action
static Action | Create (PDFDoc document, Action.Type action_type)
| Create a new action, for specified action type. More...

## Detailed Description

Reset-form action is to set fields to their default values Class foxit.pdf.actions.ResetFormAction is derived from Action and offers functions to get/set reset-form action data.

See also
  Action

## Constructor & Destructor Documentation

## ◆ ResetFormAction()

foxit.pdf.actions.ResetFormAction.ResetFormAction | ( | Action | action | ) |
| inline

Constructor, with parent class object.

Parameters

  [in] | action | Parent class object.

## Member Function Documentation

## ◆ GetFieldNames()

WStringArray foxit.pdf.actions.ResetFormAction.GetFieldNames | ( |  | ) |
| inline

Get all field names from the array of current reset form action.

A reset form action can have an array identifying which fields to reset or to exclude from resetting, depending on the flag value.

Returns
  An array of field names.

## ◆ GetFlags()

int foxit.pdf.actions.ResetFormAction.GetFlags | ( |  | ) |
| inline

Get the flag value used for resetting.

Returns
  Flag value. Currently, the value would be :

  - 0: means to reset fields defined in the array.

  - 1: means to reset all fields except those defined in the array.

## ◆ SetFieldNames()

void foxit.pdf.actions.ResetFormAction.SetFieldNames | ( | WStringArray | field_names | ) |
| inline

Set field name array.

A reset form action can have an array identifying which fields to reset or to exclude from resetting, depending on the flag value.

Parameters

  [in] | field_names | An array of form fields' names, to identify which fields to reset or to exclude from resetting. Field name can be retrieved by function interform.Field.GetName .

Returns
  None.

## ◆ SetFlags()

void foxit.pdf.actions.ResetFormAction.SetFlags | ( | int | flags | ) |
| inline

Set the flag value used for resetting.

Parameters

  [in] | flags | Flag value. Currently, valid values are: 0: means to reset fields defined in the array. 1: means to reset all fields except those defined in the array.

Returns
  None.